%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 2
%global version_minor 4
%global version_micro 1
%global commitid f3e5e44097425c38254c45b3dcbeeb6d2f656e18
%global serial 19
%{?scl:%scl_package %{?scl_prefix}mod_rt}
%{!?scl:%global pkg_name %{name}}

%define _jarsign_opts --nocopy

%bcond_without zip

%define reltag GA
%define namedversion %{pkg_name}-%{version}.%{reltag}

Name: %{?scl_prefix}mod_rt
Summary: mod_rt is an apache httpd module
Version: 2.4.1
Release: %{serial}.GA%{?dist}
License: GPL

# svn export http://svn.devel.redhat.com/repos/jboss-jon/tags/JBossON_2_4_1_GA/etc/product_connectors/apache-rt/sources/apache2.x/ mod_rt
# tar czf mod_rt-2.4.1.GA.tgz mod_rt
Source0: %{pkg_name}-%{commitid}.tar.gz
Source1: mod_rt.conf
Patch1: mod_rt-httpd.2.4.patch

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
%if "%{?rhel}" == "7"
# 64 bit only natives on RHEL7
ExcludeArch: i386 i686
%endif

BuildRequires: libtool
BuildRequires: %{?scl_prefix}httpd-devel
BuildRequires: %{?scl_prefix}apr-util-devel
BuildRequires: %{?scl_prefix}apr-devel

%if "%{?rhel}" == "6"
BuildRequires: zip
%endif

Requires:   %{?scl_prefix}httpd
Requires:   %{?scl_prefix}apr
Requires:   %{?scl_prefix}apr-util

%description
This module implements End-user response time for Apache 2.0.

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_rt
Group:       Development

%description src-zip
Container for the source distribution of mod_rt.
%endif

%prep
%setup -q -n %{pkg_name}-%{commitid}
%patch1 -p0 -b .httpd24

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
#make APXS=`which apxs`
%{?scl:scl enable %scl - << \EOF}
set -e
make APXS=/opt/rh/jbcs-httpd24/root/usr/sbin/apxs
%{?scl:EOF}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules \
         $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

`which libtool` --mode=install cp mod_rt.la $RPM_BUILD_ROOT%{_libdir}/httpd/modules

chmod 755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.so
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.a
rm $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_rt.la

install -p -m 644 %{SOURCE1} \
        $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mod_rt.conf.sample

%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_rt.conf.sample
%{_libdir}/httpd/modules/*.so

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.1-19
- Rebuild with httpd 2.4.29

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.1-18
- Rebuild with httpd 2.4.29

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.1-17
- Building with httpd 2.4.29

* Thu Jul 21 2016 Jean-Frederic Clere <jclere@redhat.com> - 2.4.1-16
- 

* Tue Feb 16 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.1-15
- Build from source-repos

* Mon Dec 21 2015 Fernando Nasser <fnasser@redhat.com> - 0:2.4.1-12.GA
- Build in the jbcs-httpd24 collection

* Mon Nov 17 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-11.GA
- Enable zip across all platforms

* Wed Nov 05 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-10.GA
- Rebuild with httpd24

* Thu Oct 16 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-9.GA
- Build with correct httpd

* Mon Oct 13 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-8.GA
- Add patch for httpd2.4

* Tue Oct 07 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-7.GA
- Rebuild for JWS3

* Thu Jul 24 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-6.GA
- rename config file to .sample

* Wed Jul 23 2014 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-5.GA
- Rebuild

* Thu Apr 03 2014 Weinan Li <weli@redhat.com> - 0:2.4.1-4.GA
- Migrate to support rhel7 build

* Tue Jun 19 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-3.GA
- Create src.zip at the end of prep

* Thu Apr 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1-2.GA
- Fix Version and Release: tags

* Wed Apr 25 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.4.1.GA-2
- Add src-zip subpackage

* Thu Mar 22 2012 Weinan Li <weli@redhat.com> - 0:2.4.1.GA-1
- Keep version in sync with JON

* Mon Mar 12 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-2
- Move mod_rt.conf to git repo
- rename mod_rt.tgz
- remove mod_rt.a and mod_rt.la

* Mon Jan 09 2012 Weinan Li <weli@redhat.com> - 0:2.0.0-1
Initial import
